Subject: Re: [ipfix] [issue] INFO-30 Normative status of section 6 vs. Appendix A

From: "Jeff Meyer" <[email-masked]>
Date: Wed, 28 Jan 2004 14:41:18 -0800

Stewart,

  With the use of XSL stylesheets the XML style informaiton model could be 
transformed automatically into any set of text one would want, e.g. IOS 
commands to enable flags, HTML tables for presentation, RFC2629 entries in 
an RFC document, etc.  For a discussion and example of using free XSL tools 
to process this you can see 
http://www.ipdr.org/documents/ipfix/infomodel/README.html.

  Hence even without direct connection making XML normative could save 
people a lot of manual transcription errors.

  As the body of section 6 is also machine generated, it is would be in 
synch with the normative format and also address your human readability 
concerns.  Hence those who wish can take a "business as usual" approach to 
specifications as loosely structured prose.

  Conversely, just using arbitrary prose (or even loosely structured prose) 
implies that automated processing of the content is much more difficult, I 
guess a determined perl hack could probably work something out until the 
next informal prose based spec came along.

  So, it would seem you're eager to remove something which is beneficial to 
some, and can be ignored by others and is well specified, rather than 
arguing in favor of some alternate approach and set of benefits which are 
somehow precluded by the XML option.

  Take a look at Nevil's RFC evaluating the AAA landscape, 
http://www.ietf.org/rfc/rfc2924.txt, in particular look at the last 
paragraph in section 8.2.  XML-Schema is now stable and ignoring its 
benefits seems rather short sighted.

-- Jeff

>From: Stewart Bryant <[email-masked]>
>Reply-To: [email-masked]
>To: Jeff Meyer <[email-masked]>
>CC: [email-masked]
>Subject: Re: [ipfix] [issue] INFO-30 Normative status of section 6 vs. 
>Appendix A
>Date: Wed, 28 Jan 2004 18:12:02 +0000
>
>
>
>Jeff Meyer wrote:
>
>>Stewart,
>>
>>  Any rationale here, or you just have an aversion to anything with XML in 
>>it?
>
>Yes.
>
>Probably zero exporter implementors can use the XML as a direct
>coding input, and certainly not all collectors implementors can.
>
>Implementors MUST code from the normative text, and the XML is
>harder to read than the table.
>
>Therefore the normative text should be the table.
>
>If you want to produce an XML definition as a courtesy to implementors
>you can should produce a seperate informational draft.
>
>Clearly you and I have different views on this, but as a WG draft
>the info model MUST reflect the consensus of the WG, hence my
>request for the chairs to test the WG consensus.
>
>- Stewart
>
>>
>>-- Jeff
>>
>>
>>>From: Stewart Bryant <[email-masked]>
>>>Reply-To: [email-masked]
>>>To: Jeff Meyer <[email-masked]>
>>>CC: [email-masked]
>>>Subject: Re: [ipfix] [issue] INFO-30  Normative status of section 6 vs. 
>>>Appendix A
>>>Date: Wed, 28 Jan 2004 10:32:41 +0000
>>>
>>>
>>>
>>>Jeff Meyer wrote:
>>>
>>>>The info-02 draft states this as an open issue.  It is time to close it.
>>>>
>>>>Providing a formal specification reusing industry standard XML has 
>>>>benefits outlined in section 7. The formal specificaiton represent a 
>>>>departure from much of the RFC work, with the notable exception of 
>>>>activities like SNMP which adopted the ASN.1 based MIBs as a means of 
>>>>formals specification.  A current example not following any formal model 
>>>>today is work w/in Diameter, or previously work done in RADIUS.
>>>>
>>>>Hence the recommendation is to make Appendix A normative.
>>>>
>>>
>>>I disagree and ask the WG chairs to check WG concensus.
>>>
>>>Stewart
>>>
>>>>Alternatively one could argue that to make the lowest possible barrier 
>>>>to extension by others to simply define the text base components, one 
>>>>could manually transcribe this to XML-Schema as a manual process 
>>>>following the example in appendix A.
>>>>
>>>>-- Jeff
>>>>
>>>>_________________________________________________________________
>>>>Check out the new MSN 9 Dial-up — fast & reliable Internet access with 
>>>>prime features! 
>>>>http://join.msn.com/?pgmarket=en-us&page=dialup/home&ST=1
>>>>
>>>>
>>>>--
>>>>Help        mailto:[email-masked] and say "help" in message 
>>>>body
>>>>Unsubscribe mailto:[email-masked] and say
>>>>"unsubscribe ipfix" in message body
>>>>Archive     http://ipfix.doit.wisc.edu/archive/
>>>>
>>>>
>>>
>>
>>_________________________________________________________________
>>Let the new MSN Premium Internet Software make the most of your high-speed 
>>experience. http://join.msn.com/?pgmarket=en-us&page=byoa/prem&ST=1
>>
>>
>>
>
>
>--
>Help        mailto:[email-masked] and say "help" in message 
>body
>Unsubscribe mailto:[email-masked] and say
>"unsubscribe ipfix" in message body
>Archive     http://ipfix.doit.wisc.edu/archive/

_________________________________________________________________
Check out the new MSN 9 Dial-up — fast & reliable Internet access with prime 
features! http://join.msn.com/?pgmarket=en-us&page=dialup/home&ST=1

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Nevil Brownlee <[email-masked]>
Date: Thu, 29 Jan 2004 13:02:07 +1300

> http://www.ipdr.org/documents/ipfix/infomodel/README.html.

Jeff's right in saying that XML is becoming more widely used within the
IETF, as evidenced by RFC 2629 and the fact that more WGs (espcially
in the Applications Area) are using it.

However, RFC 2629 explicitly says it doesn't address "IETF politics"
issues.  My take on that is that the text in section 6 of the Info Model
draft is the normative version; Appendix A gives the xml because people
may find it useful, but if they use it they should check that it really
does match the (normative) text version.

As for IPFIX WG consensus on this, in my view the document editors
are free to use whatever tools they need to produce the actual drafts.
Furthermore, including the xml as an appendix allows other people to
use the xml for other purposes, which (I guess) is why the editors
appended it to the draft.

Does that make the situation clearer?

-----------------------------------------------------------------------
   Nevil Brownlee                   Director, Technology Development
   Phone: +64 9 373 7599 x88941     ITSS, The University of Auckland
   FAX: +64 9 373 7021      Private Bag 92019, Auckland, New Zealand

-------------------------------------------------
This mail sent through University of Auckland
http://www.auckland.ac.nz/